<?php

namespace App\Filament\Resources\Monitoring\ContentRecaps\Pages;

use App\Filament\Actions\BackAction;
use App\Filament\Resources\Monitoring\ContentRecaps\ContentRecapResource;
use App\Filament\Resources\Monitoring\MediaMonitorings\Pages\ListMediaMonitorings;
use App\Filament\Support\CheerfulNotification;
use Filament\Notifications\Notification;
use Filament\Resources\Pages\EditRecord;

class EditContentRecap extends EditRecord
{
    protected static string $resource = ContentRecapResource::class;

    protected static ?string $title = 'Rekap Konten';

    protected function getHeaderActions(): array
    {
        return [
            BackAction::make()
                ->url(ListMediaMonitorings::getUrl()),
        ];
    }

    protected function getSavedNotification(): ?Notification
    {
        return CheerfulNotification::update();
    }

    protected function getRedirectUrl(): string
    {
        return $this->getResource()::getUrl('index');
    }
}
